﻿namespace KPGBase.Excercises
{
    internal class Excercise01 : BasicExcercise
    {
        public Excercise01(Bitmap canvas) : base(canvas)
        {

        }

        internal void DrawingSandbox()
        {
            Pen p = new Pen(Color.White, 2);
            g.DrawRectangle(p, new Rectangle(50, 50, 10, 10));

            Pen p2 = new Pen(Color.Turquoise, 2);
            PointF[] points = new PointF[3];
            points[0] = new PointF(width / 2 - 20, height / 2 - 10);
            points[1] = new PointF(width / 2 + 20, height / 2 - 10);
            points[2] = new PointF(width / 2, height / 2 + 10);

            Brush b = new SolidBrush(Color.Turquoise);
            g.FillPolygon(b, points);

            g.DrawLine(p, new Point(0, 0), new Point(50, 50));
        }

        int x = 50;
        int y = 50;
        int stepX = 1;
        int stepY = 1;
        internal void NextStepSquare()
        {
            ClearImage();

            if (x < 0) stepX = 1;
            if (y < 0) stepY = 1;
            if (x > width) stepX = -1;
            if (y > height) stepY = -1;

            x += stepX;
            y += stepY;

            Pen p = new Pen(Color.White, 2);
            g.DrawRectangle(p, new Rectangle(x, y, 10, 10));
        }
    }
}
